Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516230 - import ROOT fails within ipython3 noteboook
Summary: import ROOT fails within ipython3 noteboook
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: root
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 10:33 UTC by Nikolaus Trost
Modified: 2018-02-06 13:17 UTC (History)
2 users (show)

Fixed In Version: root-6.12.04-1.fc26 root-6.12.04-1.fc27 root-6.12.04-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 17:31:41 UTC


Attachments (Terms of Use)

Description Nikolaus Trost 2017-11-22 10:33:24 UTC
Description of problem:


Version-Release number of selected component (if applicable): 6.10.08-1.fc27


How reproducible:


Steps to Reproduce: 
1. On a fresh fedora installation install root and ipython notebook

sudo dnf install root python3-jupyroot python3-notebook 

2. In an ipython3 shell ROOT imports fine:

[test@localhost-live ~]$ ipython3
Python 3.6.2 (default, Sep  1 2017, 12:03:48) 
Type 'copyright', 'credits' or 'license' for more information
IPython 6.2.1 -- An enhanced Interactive Python. Type '?' for help.

In [1]: import ROOT

In [2]:                                                                         
Do you really want to exit ([y]/n)? y

3. Start a ipython3 notebook 

[test@localhost-live ~]$ ipython3 notebook
[TerminalIPythonApp] WARNING | Subcommand `ipython notebook` is deprecated and will be removed in future versions.
[TerminalIPythonApp] WARNING | You likely want to use `jupyter notebook` in the future
[I 11:12:35.961 NotebookApp] Writing notebook server cookie secret to /run/user/1000/jupyter/notebook_cookie_secret
[I 11:12:36.028 NotebookApp] Serving notebooks from local directory: /home/test
[I 11:12:36.028 NotebookApp] 0 active kernels
[I 11:12:36.028 NotebookApp] The Jupyter Notebook is running at:
[I 11:12:36.028 NotebookApp] http://localhost:8888/?token=4180568db2d65c7888d65be01b0fb33b14028c290b180ca0
[I 11:12:36.028 NotebookApp] Use Control-C to stop this server and shut down all kernels (twice to skip confirmation).
[C 11:12:36.031 NotebookApp] 
    
    Copy/paste this URL into your browser when you connect for the first time,
    to login with a token:
        http://localhost:8888/?token=4180568db2d65c7888d65be01b0fb33b14028c290b180ca0

4. import ROOT within the notebook


Actual results:

Welcome to JupyROOT 6.10/08

---------------------------------------------------------------------------
ModuleNotFoundError                       Traceback (most recent call last)
<ipython-input-1-ee8dc4376aa8> in <module>()
----> 1 import ROOT

/usr/lib64/python3.6/site-packages/ROOT.py in <module>()
    615    if hasattr(ip,"kernel"):
    616       import JupyROOT
--> 617       import JsMVA
    618 
    619 ### b/c of circular references, the facade needs explicit cleanup ---------------

/usr/lib64/python3.6/site-packages/ROOT.py in _importhook(name, *args, **kwds)
    316       except Exception:
    317          pass
--> 318    return _orig_ihook( name, *args, **kwds )
    319 
    320 __builtin__.__import__ = _importhook

ModuleNotFoundError: No module named 'JsMVA'


Expected results:

sucessful import


Additional info:

We encountered this first on Centos 7 EPEL after the root update to the current version. Tested in a fresh f27 VM. The bug seems not to be reported elsewhere so far, googling the error message yields no meaningful result.

Comment 1 Mattias Ellert 2017-11-24 14:26:05 UTC
I think you are missing the python3-jsmva package.
Could you try again after "dnf install python3-jsmva"?

I'll add the missing Requires on the next update.

Comment 2 Nikolaus Trost 2017-11-27 07:15:57 UTC
Yes, manually installing python(3,2)-jsmva fixes it - its only a missing package dependency.

Comment 3 Fedora Update System 2018-01-17 16:21:08 UTC
root-6.12.04-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cf857aea6b

Comment 4 Fedora Update System 2018-01-17 16:21:53 UTC
root-6.12.04-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2cb0650968

Comment 5 Fedora Update System 2018-01-17 16:22:17 UTC
root-6.12.04-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b23b84434f

Comment 6 Fedora Update System 2018-01-18 00:31:27 UTC
root-6.12.04-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cf857aea6b

Comment 7 Fedora Update System 2018-01-18 01:17:28 UTC
root-6.12.04-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b23b84434f

Comment 8 Fedora Update System 2018-01-18 02:11:33 UTC
root-6.12.04-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2cb0650968

Comment 9 Fedora Update System 2018-01-30 17:31:41 UTC
root-6.12.04-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-01-30 18:03:20 UTC
root-6.12.04-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-02-06 13:17:31 UTC
root-6.12.04-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.